package dev.kske.minesweeper;

import java.util.EventObject;

/**
 * Project: <strong>Minesweeper</strong><br>
 * File: <strong>FlaggedTilesEvent.java</strong><br>
 * Created: <strong>03.04.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class FlaggedTilesEvent extends EventObject {

	private static final long serialVersionUID = -5809857531886339312L;

	private final Board	board;
	private final int	flagged;

	public FlaggedTilesEvent(Object source, int flagged) {
		super(source);
		board			= (Board) source;
		this.flagged	= flagged;
	}

	public Board getBoard() { return board; }

	public int getFlagged() { return flagged; }
}
