package dev.kske.minesweeper;

import java.util.EventObject;

/**
 * Project: <strong>Minesweeper</strong><br>
 * File: <strong>GameOverEvent.java</strong><br>
 * Created: <strong>03.04.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class GameOverEvent extends EventObject {

	private static final long serialVersionUID = -966111253980213845L;

	private final Board			board;
	private final GameState		gameState;
	private final BoardConfig	boardConfig;
	private final int			duration;

	public GameOverEvent(Object source, GameState gameState, BoardConfig boardConfig, int duration) {
		super(source);
		board				= (Board) source;
		this.gameState		= gameState;
		this.boardConfig	= boardConfig;
		this.duration		= duration;
	}

	public Board getBoard() { return board; }

	public GameState getGameState() { return gameState; }

	public BoardConfig getBoardConfig() { return boardConfig; }

	public int getDuration() { return duration; }
}
