package dev.kske.minesweeper;

import java.io.Serializable;
import java.util.Date;

/**
 * Project: <strong>Minesweeper</strong><br>
 * File: <strong>Score.java</strong><br>
 * Created: <strong>16.04.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class Score implements Comparable<Score>, Serializable {

	private static final long serialVersionUID = 3384023296639779740L;
	
	private final String		name;
	private final int			duration;
	private final Date			date;
	private final BoardConfig	boardConfig;

	public Score(String name, int duration, Date date, BoardConfig boardConfig) {
		this.name			= name;
		this.duration		= duration;
		this.date			= date;
		this.boardConfig	= boardConfig;
	}

	public String getName() { return name; }

	public int getDuration() { return duration; }

	public Date getDate() { return date; }

	public BoardConfig getBoardConfig() { return boardConfig; }

	@Override
	public int compareTo(Score other) {
		return Integer.compare(duration, other.duration);
	}
}
